List Messages
Returns a paginated list of messages.
Authorization
bearerAuth In: header
Query Parameters
Unique identifier for the resource.
uuidFilters by any of the supplied id values.
items <= 10Filters resources by conversation.
uuidFilters by any of the supplied conversation values.
items <= 10Filters resources by contact.
uuidFilters out resources with this contact.
uuidFilters resources by author type.
Filters resources by channel.
uuidFilters by any of the supplied channel values.
items <= 10Filters resources by template version.
uuidFilters by any of the supplied template version values.
items <= 10Filters resources by timestamp.
date-timeOnly returns resources whose timestamp is at or after this timestamp (inclusive). See Filtering for timestamp precision.
date-timeOnly returns resources whose timestamp is at or before this timestamp (inclusive). See Filtering for timestamp precision.
date-timeOnly returns resources whose timestamp is after this timestamp (exclusive). See Filtering for timestamp precision.
date-timeOnly returns resources whose timestamp is before this timestamp (exclusive). See Filtering for timestamp precision.
date-timeWhether the resource is inbound.
Current status of the resource.
Filters by any of the supplied status values.
Maximum number of resources to return.
100 <= value <= 100Opaque token returned by a previous page request.
1 <= lengthAdditional fields to include in the response. Use repeated query syntax: include=foo&include=bar.
Response Body
application/json
curl -X GET "https://api.getmateo.com/v1/messages"{ "object": "list", "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "external_id": "string", "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407", "inbox_id": "5127f22b-d152-46dd-aeaa-3a852d9fbfc2", "channel_id": "bbe8aa76-a4bb-46f6-a785-df8e831cc459", "channel_type": "email", "template_version_id": "0ba39c92-1f1b-4c32-aa3e-9925d7713eb1", "reply_to_message_id": "7ee4bcf0-8f1b-4bb4-86b4-8565dd84787f", "is_inbound": true, "status": "answered", "error": { "code": "string", "message": "string" }, "timestamp": "2019-08-24T14:15:22Z", "sent_at": "2019-08-24T14:15:22Z", "send_after": "2019-08-24T14:15:22Z", "subject": "string", "content": { "type": "root", "children": [ { "type": "text", "content": "string", "bold": true, "underline": true, "strikethrough": true, "italic": true } ], "style": { "color": "string", "fontSize": 0, "fontFamily": "string", "alignment": "left" } }, "footer": "string", "forwarded": true, "placeholder_values": [ "string" ], "author": { "type": "employee", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "attachments": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "purpose": "string", "filename": "string", "content_type": "string", "size": 9007199254740991, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "external_attachments": [ { "type": "string", "url": "string" } ], "conversation": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "external_id": "string", "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598", "channel_id": "bbe8aa76-a4bb-46f6-a785-df8e831cc459", "channel_type": "email", "inbox_id": "5127f22b-d152-46dd-aeaa-3a852d9fbfc2", "status": "archived", "subject": "string", "unread": true, "is_spam": true, "latest_activity_created_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "from": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "full_name": "string", "handle": "string", "role": "bcc", "status": "answered", "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598" } ], "to": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "full_name": "string", "handle": "string", "role": "bcc", "status": "answered", "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598" } ], "actions": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "call_to_action", "subtype": "phone_number", "text": "string", "data": "string", "index": -9007199254740991, "clicked": true } ], "reactions": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "emoji": "string", "external_id": "string", "recipient_id": "b6731cb5-d462-49ea-afb8-7933b670b560", "created_at": "2019-08-24T14:15:22Z" } ], "translations": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "locale": "string", "translation": "string", "created_at": "2019-08-24T14:15:22Z" } ], "transcriptions": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "transcription": "string", "created_at": "2019-08-24T14:15:22Z" } ] } ], "next_page_url": "string", "previous_page_url": "string"}Get Message GET
Returns the requested message.
Send Message POST
To send a Template, pass either `template_version_id` to send that exact version, or `template_id` to send the version the channel sends for that Template, but not both. On WhatsApp that is the newest published version approved for the channel's provider, or the newest published version while the conversation's session is open; on every other channel it is the newest published version.